<mat-card>
    <mat-card-header>
        <mat-card-title>Page administrateur pour <button mat-button (click)="addAttraction()">Ajouter</button>, modifier et supprimer des attractions</mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <div class="attraction-title">
            <div class="attraction">
                <span>Nom de l'attraction</span>
                <span>Description de l'attraction</span>
                <span>Difficulté de l'attraction / 5</span>
                <span>Visible</span>
            </div>
        </div>
        <ng-container *ngIf="attractions | async">
            <ng-container *ngFor="let formulaireAttraction of formulaireAttractions; let indexForm = index;" [formGroup]="formulaireAttraction" style="display: flex; flex-direction: column;">
                <div class="attraction">
                    <mat-form-field class="champ" appearance="fill">
                        <mat-label>Nom</mat-label>
                        <input matInput formControlName="nom">
                    </mat-form-field>

                    <mat-form-field class="champ" appearance="fill">
                        <mat-label>Description</mat-label>
                        <input matInput formControlName="description">
                    </mat-form-field>

                    <mat-form-field class="champ" appearance="fill">
                        <mat-label>Difficulté / 5</mat-label>
                        <input matInput formControlName="difficulte" type="number">
                    </mat-form-field>

                    <mat-slide-toggle class="champ" formControlName="visible">Element visible</mat-slide-toggle>

                    <button mat-button (click)="onSubmit(formulaireAttraction)" class="champ">Enregistrer</button>
                    <button mat-button (click)="delSub(formulaireAttraction)" class="champ">Delete</button>
                </div>
            </ng-container>
        </ng-container>
    </mat-card-content>
</mat-card>